
QGIS Application - Bug report #20771

Crash during editing of vector feature

2018-12-11 10:50 AM - ulderica parodi

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows NT 6.1 Service Pack 1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28591

Description

Crash ID: d1f829de4dd3cb79cf57ce7bfda9dcc6172d63e8

Stack Trace

QgsPalettedRasterRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

malloc_base :

QgsRasterIterator::readNextRasterPart :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsMapRendererParallelJob::renderingFinished :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlInitializeExceptionChain :

RtlInitializeExceptionChain :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: 22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: i386

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-12-11 11:04 AM - Alessandro Pasotti
Looks like an out-of-memory error during raster rendering. 

Hard to tell without test data.

#2 - 2018-12-11 11:18 AM - Giovanni Manghi

- Regression? changed from Yes to No

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please add a sample project with data and exact steps to follow. Also try with a new/clean profile (no 3rd party plugins enabled or installed).

#3 - 2019-01-15 04:08 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
